﻿using System;
using System.Drawing;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace CustomTreeNodeElement
{
    public class HostNodeElement : TreeNodeElement
    {
        protected override void InitializeFields()
        {
            base.InitializeFields();
        }

        protected override void CreateChildElements()
        {
            base.CreateChildElements();

            RadGridView gridView = new RadGridView();
            gridView.Columns.Add(new GridViewDecimalColumn("ID"));
            gridView.Columns.Add(new GridViewTextBoxColumn("Name"));
            gridView.Rows.Add(1, "Telerik");
            gridView.MinimumSize = new Size(250, 100);

            RadHostItem hostItem = new RadHostItem(gridView);
            hostItem.StretchHorizontally = true;
            hostItem.StretchVertically = true;

            this.ContentElement.Children.Add(hostItem);
        }

        protected override Type ThemeEffectiveType
        {
            get { return typeof(TreeNodeElement); }
        }
    }
}
