﻿using System;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace CustomTreeNodeElement
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radTreeView1.CreateNodeElement += new CreateTreeNodeElementEventHandler(radTreeView1_CreateNodeElement);
            this.radTreeView1.TreeViewElement.ItemHeight = 100;
        }

        private void radTreeView1_CreateNodeElement(object sender, CreateTreeNodeElementEventArgs e)
        {
            e.NodeElement = new HostNodeElement();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.radTreeView1.Nodes.Add(new RadTreeNode("Documents"));
            this.radTreeView1.Nodes[0].Nodes.Add(new RadTreeNode("Balance.docx"));

            this.radTreeView1.Nodes.Add(new RadTreeNode("Corporate"));
            this.radTreeView1.Nodes[1].Nodes.Add(new RadTreeNode("Telerik"));

            this.radTreeView1.Nodes.Add(new RadTreeNode("Private"));
            this.radTreeView1.Nodes[2].Nodes.Add(new RadTreeNode("Salary.xlsx"));
        }
    }
}
